#ifndef GPIO_LIB_H
#define GPIO_LIB_H

#include <linux/gpio.h>
#include <stdbool.h>

typedef struct{
	int fd;
	struct gpiohandle_request req;
}GPIO_HANDLE;

GPIO_HANDLE* gpio_open_line(char *dev_name, int line, int direction);
void gpio_close_line(GPIO_HANDLE *pHandle);
bool gpio_get_line_value(GPIO_HANDLE *pHandle, unsigned int *pValue);

#endif // GPIO_LIB_H

